Package org.apache.velocity.exception

# Class MathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.velocity.exception.VelocityException
org.apache.velocity.exception.MathException

All Implemented Interfaces:
  `Serializable`

public class MathException extends VelocityException
Separate exception class to distinguish math problems.

Since:
  1.6
Version:
  $Id: MathException.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Nathan Bubna
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MathException(String exceptionMessage)`
`MathException(String exceptionMessage, String[] stacktrace)`

## Method Summary

### Methods inherited from class org.apache.velocity.exception.VelocityException

`getVtlStackTrace, getWrappedThrowable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MathException

public MathException(String exceptionMessage)

Parameters:
  `exceptionMessage` - The message to register.

### MathException

public MathException(String exceptionMessage, String[] stacktrace)

Parameters:
  `exceptionMessage` - The message to register.
  `stacktrace` - VTL stacktrace
Since:
  2.2